1

Since updating to TeXLive-2024-Basic I have trouble compiling files when I add the cmbright package. I had no trouble while at 2023 and still have no trouble if I switch back.

Minimal example

\documentclass{memoir}

\usepackage{cmbright}

\begin{document}
Test
\end{document}

Gives the error

!pdfTeX error: /Library/TeX/texbin/pdflatex (file cmbr10): Font cmbr10 at 600 not found
 ==> Fatal error occurred, no output PDF file produced!

I was able to avoid it in some files at the beginning by adding additional cm-packages to my current installation, I currently got cm, cm-lgc, cm-mf-extra-bold, cm-super, cm-unicode, cmap, cmarrows, cmathbb, cmsd and cmbright but lately I ran into a wall. Searching for the error gave no answer, so I came here.

9
  • 1
    cmbr10 is in the texlive cmbright package so tlmgr install cmbright possibly with sudo and possibly using whatever frontend to tlmgr mactex offers should work. you should have texmf-dist/fonts/tfm/public/cmbright/cmbr10.tfm (but I think you have that or you would have had an earlier error) and it should install a map so this font file gets used texmf-dist/fonts/type1/public/hfbright/hfbr10.pfb Apr 4 at 9:55
  • I removed the memoir tag as thuis is not related to memoir.
    – daleif
    Apr 4 at 9:58
  • @DavidCarlisle installing cmbright gives an error tlmgr install: package already present: cmbright reinstalling did nothing. I checked both paths, cmbr10.tfm is there, but not the hfbr10.pfb
    – Sk1nk
    Apr 4 at 10:51
  • 2
    try installing hfbright tlmgr package which should give you texmf-dist/fonts/type1/public/hfbright/hfbr10.pfb Apr 4 at 11:13
  • 1
    Closely related questions (with the same answer): tex.stackexchange.com/questions/522542/… tex.stackexchange.com/questions/206735/… Apr 8 at 9:47

1 Answer 1

3

By default these days cmbright should be set up to use the type1 scalable versions which are separately distributed as hfbright so

tlmgr install hfbright

Should install the fonts and the required map files.

3
  • I think cm-super is also needed for some symbols. Apr 8 at 9:46
  • Excuse my ignorance, but since hfbright is required to make cmbright work correctly, is there some reason that it isn't a package dependency? Apr 8 at 9:54
  • no you could ask on texlive list to add such, it isnt actually required though in theory the original metfont version should work but apparently they didn't here and installing hf is simpler and preferable Apr 8 at 10:14

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .